# -*- coding: utf-8 -*-
import scrapy


class A147xsSpider(scrapy.Spider):
    name = '147xs'
    allowed_domains = ['147xs.org']
    start_urls = ['http://www.147xs.org/book/3722/55832.html']

    def parse(self, response):
        title = response.xpath('//h1/text()').extract_first()
        # 这里要把它字符串化，不然会失败
        content = response.xpath('string(//div[@id="content"])').extract_first().strip()
        next_url = response.xpath('//div[@class="bottem1"]/a[last()-1]/@href').extract_first()

        yield {
            'title': title,
            'content': content
        }
        # 动态添加url（response.urljoin(next_url)=http://www.147xs.org/book/+new_url）
        yield scrapy.Request(response.urljoin(next_url), callback=self.parse)
